Chromium Code Reviews
Help | Chromium Project | Sign in
(1)

Issue 11418032: Forward transition objects to grey if they are referenced by a large object (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 5 months ago by Hannes Payer
Modified:
2 years, 5 months ago
Reviewers:
Michael Starzinger
CC:
v8-dev
Visibility:
Public.

Description

Forward transition objects to grey if they are referenced by a large object BUG= Committed: https://code.google.com/p/v8/source/detail?r=13004

Patch Set 1 #

Total comments: 2

Patch Set 2 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+13 lines, -6 lines) Patch
M src/incremental-marking-inl.h View 1 1 chunk +13 lines, -6 lines 0 comments Download
Trybot results:
Commit: CQ not working?

Messages

Total messages: 3 (0 generated)
Hannes Payer
Applied comments from CL 11410080.
2 years, 5 months ago (2012-11-16 14:05:02 UTC) #1
Michael Starzinger
LGTM with one comment. For the record, this change was already thoroughly reviewed in another ...
2 years, 5 months ago (2012-11-18 22:07:02 UTC) #2
Hannes Payer
2 years, 5 months ago (2012-11-19 10:56:19 UTC) #3
https://codereview.chromium.org/11418032/diff/1/src/incremental-marking-inl.h
File src/incremental-marking-inl.h (right):

https://codereview.chromium.org/11418032/diff/1/src/incremental-marking-inl.h...
src/incremental-marking-inl.h:45: if (is_black) {
On 2012/11/18 22:07:02, Michael Starzinger wrote:
> Move the "Marking::IsBlack(obj_bit)" into the if condition.

Done.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 700cc9d